Bug 1271337 - Unable to sort by OS under the webui host tab.
Unable to sort by OS under the webui host tab.
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts (Show other bugs)
6.1.0
Unspecified Unspecified
low Severity unspecified (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-13 12:59 EDT by Dan Lavu
Modified: 2017-01-12 10:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-12 10:10:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Lavu 2015-10-13 12:59:38 EDT
Description of problem:

In the WebUI, under hosts -> all hosts,trying to sort by OS does not sort properly. 

https://satellite.lab.runlevelone.lan/hosts?order=os+DESC

All other sort features work. 

Version-Release number of selected component (if applicable):


How reproducible:
Always.


Steps to Reproduce:
1. Goto hosts tab in webUI
2. Sort by OS
3.

Actual results:
Hosts sorted by model.


Expected results:
Hosts sorted by OS.

Additional info:
Comment 1 Peter Buchan Jr. 2015-10-13 13:35:03 EDT
Description of problem: Sortable Columns for subscription information

IHAC who has requested sortable columns in the Red Hat Subscriptions UI.  This will aid in helping a customer figure out which subscriptions will be expiring soon as well as providing other situational subscription information.

In the WebUI, under Content -> Red Hat Subscriptions, none of the columns are sortable. 

https://$SATELLITE/subscriptions


Version-Release number of selected component (if applicable):


How reproducible:
Always.


Steps to Reproduce:
1. Goto Content -> Red Hat Subscriptions webUI
2. Sort by Start, Expires, Support Level, Contract, etc
3.

Actual results:
None - columns are not sortable at the moment.


Expected results:
Sortable columns

Additional info:
Comment 3 Dan Lavu 2015-10-14 08:56:04 EDT
This might need to be two bugs;

Host tab -> all hosts, OS does not sort.

Content tab - > Subscription tab, does not sort at all
Comment 5 Bryan Kearney 2016-07-08 16:48:13 EDT
Per 6.3 planning, moving out non acked bugs to the backlog
Comment 7 Bryan Kearney 2017-01-12 10:10:09 EST
This is an older bug which I do not envision being fixed in the near term. I am closing this out. If you believe doing so is an issue, please feel free to re-open and provide additional business information. Thank you.

Note You need to log in before you can comment on or make changes to this bug.